/*
 File: esc_seqsym.cpp
 Date and Time: Fri Jan 30 18:55:11 2015 
*/
#include "esc_seq.h"
using namespace NS_yacco2_T_enum;// enumerate
using namespace NS_yacco2_err_symbols;// error symbols
using namespace NS_yacco2_k_symbols;// lrk 
using namespace NS_yacco2_terminals;// terminals
using namespace NS_yacco2_characters;// rc 
using namespace yacco2;// yacco2 library
using namespace NS_esc_seq;// grammar's ns
// first set terminals
yacco2::THR _YACCO2_CALL_TYPE
NS_esc_seq::TH_esc_seq(yacco2::Parser* Caller_pp){
  yacco2::Thread_entry& pp_thread_entry = ITH_esc_seq;
  NS_esc_seq::Cesc_seq Cesc_seq_;// parallel-parser's parse table
#define ssPARSE_TABLE Cesc_seq_
#include "wpp_core.h"
}
THR_result _YACCO2_CALL_TYPE
NS_esc_seq::PROC_TH_esc_seq(yacco2::Parser* Caller_pp){
  char called_proc_name[] = "PROC_TH_esc_seq";
  static bool one_time(false);
  static NS_esc_seq::Cesc_seq* NS_esc_seq_Cesc_seq_(0);// parallel-parser's fsm table
  static Parser* NS_esc_seq_Cesc_seq_parser(0);
  Parser* proc_parser(0);
  if(one_time == false){
    one_time = true;
    NS_esc_seq_Cesc_seq_ = new NS_esc_seq::Cesc_seq();// parallel-parser's fsm table
    NS_esc_seq_Cesc_seq_parser = new Parser(*NS_esc_seq_Cesc_seq_,Caller_pp);
  }
 proc_parser = NS_esc_seq_Cesc_seq_parser;
#include "wproc_pp_core.h"
}
void 
Cesc_seq::reduce_rhs_of_rule
    (yacco2::UINT Sub_rule_no,yacco2::Rule_s_reuse_entry** Recycled_rule){
   int reducing_rule = rhs_to_rules_mapping_[Sub_rule_no];
   Per_rule_s_reuse_table* rule_reuse_tbl_ptr = 
        fsm_rules_reuse_table.per_rule_s_table_[reducing_rule];
   Rule_s_reuse_entry* re(0);
   find_a_recycled_rule(rule_reuse_tbl_ptr,&re);
   (*Recycled_rule) = re;
   fnd_re: switch (Sub_rule_no){
    case rhs1_Resc_seq_:{
       Resc_seq* sym;
     if(re->rule_ == 0){
       sym = new Resc_seq(parser__);
       re->rule_ = sym;
     }else{
       sym = (Resc_seq*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->op();
     return;}
    case rhs2_Resc_seq_:{
       Resc_seq* sym;
     if(re->rule_ == 0){
       sym = new Resc_seq(parser__);
       re->rule_ = sym;
     }else{
       sym = (Resc_seq*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 3;
    

     sym->sr2();
     sym->op();
     return;}
    case rhs3_Resc_seq_:{
       Resc_seq* sym;
     if(re->rule_ == 0){
       sym = new Resc_seq(parser__);
       re->rule_ = sym;
     }else{
       sym = (Resc_seq*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 3;
    

     sym->sr3();
     sym->op();
     return;}
    case rhs4_Resc_seq_:{
       Resc_seq* sym;
     if(re->rule_ == 0){
       sym = new Resc_seq(parser__);
       re->rule_ = sym;
     }else{
       sym = (Resc_seq*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 3;
    

     sym->op();
     return;}
    case rhs5_Resc_seq_:{
       Resc_seq* sym;
     if(re->rule_ == 0){
       sym = new Resc_seq(parser__);
       re->rule_ = sym;
     }else{
       sym = (Resc_seq*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 3;
    

     sym->op();
     return;}
    case rhs1_Rslash_:{
       Rslash* sym;
     if(re->rule_ == 0){
       sym = new Rslash(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rslash*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr1();
     return;}
    case rhs1_Rliteral_:{
       Rliteral* sym;
     if(re->rule_ == 0){
       sym = new Rliteral(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rliteral*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr1();
     return;}
    case rhs2_Rliteral_:{
       Rliteral* sym;
     if(re->rule_ == 0){
       sym = new Rliteral(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rliteral*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr2();
     return;}
    case rhs3_Rliteral_:{
       Rliteral* sym;
     if(re->rule_ == 0){
       sym = new Rliteral(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rliteral*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr3();
     return;}
    case rhs4_Rliteral_:{
       Rliteral* sym;
     if(re->rule_ == 0){
       sym = new Rliteral(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rliteral*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr4();
     return;}
    case rhs5_Rliteral_:{
       Rliteral* sym;
     if(re->rule_ == 0){
       sym = new Rliteral(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rliteral*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr5();
     return;}
    case rhs6_Rliteral_:{
       Rliteral* sym;
     if(re->rule_ == 0){
       sym = new Rliteral(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rliteral*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr6();
     return;}
    case rhs7_Rliteral_:{
       Rliteral* sym;
     if(re->rule_ == 0){
       sym = new Rliteral(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rliteral*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr7();
     return;}
    case rhs8_Rliteral_:{
       Rliteral* sym;
     if(re->rule_ == 0){
       sym = new Rliteral(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rliteral*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr8();
     return;}
    case rhs9_Rliteral_:{
       Rliteral* sym;
     if(re->rule_ == 0){
       sym = new Rliteral(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rliteral*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr9();
     return;}
    case rhs10_Rliteral_:{
       Rliteral* sym;
     if(re->rule_ == 0){
       sym = new Rliteral(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rliteral*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr10();
     return;}
    case rhs11_Rliteral_:{
       Rliteral* sym;
     if(re->rule_ == 0){
       sym = new Rliteral(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rliteral*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr11();
     return;}
    case rhs12_Rliteral_:{
       Rliteral* sym;
     if(re->rule_ == 0){
       sym = new Rliteral(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rliteral*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr12();
     return;}
    case rhs1_Ruhex_:{
       Ruhex* sym;
     if(re->rule_ == 0){
       sym = new Ruhex(parser__);
       re->rule_ = sym;
     }else{
       sym = (Ruhex*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 7;
    

     return;}
    case rhs1_Ru_:{
       Ru* sym;
     if(re->rule_ == 0){
       sym = new Ru(parser__);
       re->rule_ = sym;
     }else{
       sym = (Ru*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr1();
     return;}
    case rhs1_RU_:{
       RU* sym;
     if(re->rule_ == 0){
       sym = new RU(parser__);
       re->rule_ = sym;
     }else{
       sym = (RU*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr1();
     return;}
    case rhs1_Rx_:{
       Rx* sym;
     if(re->rule_ == 0){
       sym = new Rx(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rx*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr1();
     return;}
    case rhs1_RUhex_:{
       RUhex* sym;
     if(re->rule_ == 0){
       sym = new RUhex(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUhex*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 13;
    

     return;}
    case rhs1_Rmhex_no_:{
       Rmhex_no* sym;
     if(re->rule_ == 0){
       sym = new Rmhex_no(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rmhex_no*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs2_Rmhex_no_:{
       Rmhex_no* sym;
     if(re->rule_ == 0){
       sym = new Rmhex_no(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rmhex_no*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr2();
     return;}
    case rhs1_Rcalc_hex_char_:{
       Rcalc_hex_char* sym;
     if(re->rule_ == 0){
       sym = new Rcalc_hex_char(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rcalc_hex_char*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 0;
    

     sym->sr1();
     return;}
    case rhs1_Rhex_:{
       Rhex* sym;
     if(re->rule_ == 0){
       sym = new Rhex(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rhex*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     return;}
    case rhs1_Rhex_nos_:{
       Rhex_nos* sym;
     if(re->rule_ == 0){
       sym = new Rhex_nos(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rhex_nos*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs2_Rhex_nos_:{
       Rhex_nos* sym;
     if(re->rule_ == 0){
       sym = new Rhex_nos(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rhex_nos*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     return;}
    case rhs1_Rhex_no_:{
       Rhex_no* sym;
     if(re->rule_ == 0){
       sym = new Rhex_no(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rhex_no*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs2_Rhex_no_:{
       Rhex_no* sym;
     if(re->rule_ == 0){
       sym = new Rhex_no(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rhex_no*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs1_Rhex_no_digit_:{
       Rhex_no_digit* sym;
     if(re->rule_ == 0){
       sym = new Rhex_no_digit(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rhex_no_digit*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs2_Rhex_no_digit_:{
       Rhex_no_digit* sym;
     if(re->rule_ == 0){
       sym = new Rhex_no_digit(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rhex_no_digit*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs3_Rhex_no_digit_:{
       Rhex_no_digit* sym;
     if(re->rule_ == 0){
       sym = new Rhex_no_digit(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rhex_no_digit*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs4_Rhex_no_digit_:{
       Rhex_no_digit* sym;
     if(re->rule_ == 0){
       sym = new Rhex_no_digit(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rhex_no_digit*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs5_Rhex_no_digit_:{
       Rhex_no_digit* sym;
     if(re->rule_ == 0){
       sym = new Rhex_no_digit(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rhex_no_digit*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs6_Rhex_no_digit_:{
       Rhex_no_digit* sym;
     if(re->rule_ == 0){
       sym = new Rhex_no_digit(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rhex_no_digit*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs7_Rhex_no_digit_:{
       Rhex_no_digit* sym;
     if(re->rule_ == 0){
       sym = new Rhex_no_digit(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rhex_no_digit*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs8_Rhex_no_digit_:{
       Rhex_no_digit* sym;
     if(re->rule_ == 0){
       sym = new Rhex_no_digit(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rhex_no_digit*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs9_Rhex_no_digit_:{
       Rhex_no_digit* sym;
     if(re->rule_ == 0){
       sym = new Rhex_no_digit(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rhex_no_digit*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs10_Rhex_no_digit_:{
       Rhex_no_digit* sym;
     if(re->rule_ == 0){
       sym = new Rhex_no_digit(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rhex_no_digit*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs1_Rhex_no_letter_:{
       Rhex_no_letter* sym;
     if(re->rule_ == 0){
       sym = new Rhex_no_letter(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rhex_no_letter*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs2_Rhex_no_letter_:{
       Rhex_no_letter* sym;
     if(re->rule_ == 0){
       sym = new Rhex_no_letter(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rhex_no_letter*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs3_Rhex_no_letter_:{
       Rhex_no_letter* sym;
     if(re->rule_ == 0){
       sym = new Rhex_no_letter(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rhex_no_letter*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs4_Rhex_no_letter_:{
       Rhex_no_letter* sym;
     if(re->rule_ == 0){
       sym = new Rhex_no_letter(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rhex_no_letter*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs5_Rhex_no_letter_:{
       Rhex_no_letter* sym;
     if(re->rule_ == 0){
       sym = new Rhex_no_letter(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rhex_no_letter*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs6_Rhex_no_letter_:{
       Rhex_no_letter* sym;
     if(re->rule_ == 0){
       sym = new Rhex_no_letter(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rhex_no_letter*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs7_Rhex_no_letter_:{
       Rhex_no_letter* sym;
     if(re->rule_ == 0){
       sym = new Rhex_no_letter(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rhex_no_letter*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs8_Rhex_no_letter_:{
       Rhex_no_letter* sym;
     if(re->rule_ == 0){
       sym = new Rhex_no_letter(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rhex_no_letter*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs9_Rhex_no_letter_:{
       Rhex_no_letter* sym;
     if(re->rule_ == 0){
       sym = new Rhex_no_letter(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rhex_no_letter*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs10_Rhex_no_letter_:{
       Rhex_no_letter* sym;
     if(re->rule_ == 0){
       sym = new Rhex_no_letter(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rhex_no_letter*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs11_Rhex_no_letter_:{
       Rhex_no_letter* sym;
     if(re->rule_ == 0){
       sym = new Rhex_no_letter(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rhex_no_letter*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs12_Rhex_no_letter_:{
       Rhex_no_letter* sym;
     if(re->rule_ == 0){
       sym = new Rhex_no_letter(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rhex_no_letter*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs1_Roctal_:{
       Roctal* sym;
     if(re->rule_ == 0){
       sym = new Roctal(parser__);
       re->rule_ = sym;
     }else{
       sym = (Roctal*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs2_Roctal_:{
       Roctal* sym;
     if(re->rule_ == 0){
       sym = new Roctal(parser__);
       re->rule_ = sym;
     }else{
       sym = (Roctal*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     return;}
    case rhs3_Roctal_:{
       Roctal* sym;
     if(re->rule_ == 0){
       sym = new Roctal(parser__);
       re->rule_ = sym;
     }else{
       sym = (Roctal*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 3;
    

     return;}
    case rhs1_Roctal_no_:{
       Roctal_no* sym;
     if(re->rule_ == 0){
       sym = new Roctal_no(parser__);
       re->rule_ = sym;
     }else{
       sym = (Roctal_no*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs2_Roctal_no_:{
       Roctal_no* sym;
     if(re->rule_ == 0){
       sym = new Roctal_no(parser__);
       re->rule_ = sym;
     }else{
       sym = (Roctal_no*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs3_Roctal_no_:{
       Roctal_no* sym;
     if(re->rule_ == 0){
       sym = new Roctal_no(parser__);
       re->rule_ = sym;
     }else{
       sym = (Roctal_no*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs4_Roctal_no_:{
       Roctal_no* sym;
     if(re->rule_ == 0){
       sym = new Roctal_no(parser__);
       re->rule_ = sym;
     }else{
       sym = (Roctal_no*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs5_Roctal_no_:{
       Roctal_no* sym;
     if(re->rule_ == 0){
       sym = new Roctal_no(parser__);
       re->rule_ = sym;
     }else{
       sym = (Roctal_no*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs6_Roctal_no_:{
       Roctal_no* sym;
     if(re->rule_ == 0){
       sym = new Roctal_no(parser__);
       re->rule_ = sym;
     }else{
       sym = (Roctal_no*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs7_Roctal_no_:{
       Roctal_no* sym;
     if(re->rule_ == 0){
       sym = new Roctal_no(parser__);
       re->rule_ = sym;
     }else{
       sym = (Roctal_no*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs8_Roctal_no_:{
       Roctal_no* sym;
     if(re->rule_ == 0){
       sym = new Roctal_no(parser__);
       re->rule_ = sym;
     }else{
       sym = (Roctal_no*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    default: return;
   }
}
